从内存中组合对话上下文(默认来源:情景、语义;在 enabled_sources 中包含 stm 以了解最近的回合)。项目范围由路由 ID 路径参数承载,而组织则派生自该项目。提供非空查询(通常是最新的用户消息)和要汇编其内存的 user_id。
POST /api/v1/projects/{id}/memory/context
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/projects/{id}/memory/context' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"enabled_sources": [
"string"
],
"format_style": "string",
"include_memories": true,
"max_tokens": 42,
"metadata_filter": {},
"model_type": "string",
"query": "string",
"query_embedding": [
42.0
],
"session_id": "string",
"similarity_threshold": 42.0,
"top_k": 42,
"user_id": "string",
"visibility": "string"
}'
请求示例
{
"enabled_sources": [
"string"
],
"format_style": "string",
"include_memories": true,
"max_tokens": 42,
"metadata_filter": {},
"model_type": "string",
"query": "string",
"query_embedding": [
42.0
],
"session_id": "string",
"similarity_threshold": 42.0,
"top_k": 42,
"user_id": "string",
"visibility": "string"
}
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (200)
{}
响应示例 (200)
{}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}